%define upstream_name    Dist-Zilla-Plugin-Prereqs-Recommend-MatchInstalled
%define upstream_version 0.003003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Advertise versions of things you have as soft dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Data)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
"[Prereqs::MatchInstalled]" was a good concept, but its application
seemed too strong for some things.

This is a variation on the same theme, but instead of upgrading
dependencies in-place, it propagates the upgrade to a different
relation, to produce a softer dependency map.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.3-4.mga8
+ Revision: 1504119
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.3.3-3.mga7
+ Revision: 1283208
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.3.3-2.mga7
+ Revision: 1164260
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.3.3-1.mga7
+ Revision: 1157691
- update to 0.003003

* Sun Jun 19 2016 pterjan <pterjan> 0.3.1-3.mga6
+ Revision: 1026555
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.1-2.mga6
+ Revision: 966707
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.3.1-1.mga6
+ Revision: 846584
- update to 0.003001

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 749217
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 674163
- update to 0.003000

* Sat Aug 16 2014 sander85 <sander85> 0.2.1-1.mga5
+ Revision: 664130
- update to 0.002001

* Wed Jul 16 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 653207
- update to 0.002000

* Mon Feb 17 2014 jquelin <jquelin> 0.1.0-1.mga5
+ Revision: 593758
- adding missing buildrequires:
- missing %%description
- imported package perl-Dist-Zilla-Plugin-Prereqs-Recommend-MatchInstalled


* Mon Feb 17 2014 cpan2dist 0.001000-1mga
- initial mageia release, generated with cpan2dist
